import { AmplitudeEventBase } from './AmplitudeEventBase';
import { IAmplitudeEventWithSource } from './IAmplitudeEventWithSource';

export abstract class NonstopHomeNonstopVideoBaseEvent extends AmplitudeEventBase implements IAmplitudeEventWithSource {
    public Source: string;

    constructor() {
        super();
    }

    public GetDeeplink(): string {
        return `/promo/${this.PromoId}`;
    }
}